Upsert a tag

Base URL
https://{kibana_url}
Auth

Updates a tag if it exists, or creates it at the provided ID.

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

id string · min length: 1 · max length: 256 required

The tag ID, as returned by the create or search endpoints.

Header parameters

kbn-xsrf string required

A required header to protect against CSRF attacks

Request body

color string · min length: 1 · max length: 256

The tag color as a hex value (e.g. #772299). If omitted, a random color is generated.

description string · max length: 2048

Optional description of the tag.

name string · min length: 1 · max length: 256 required

The display name of the tag.

Responses

updated

application/json
data object required
color string · min length: 1 · max length: 256 required

The tag color as a hex value (e.g. #772299). If omitted, a random color is generated.

description string · max length: 2048

Optional description of the tag.

name string · min length: 1 · max length: 256 required

The display name of the tag.

id string required

The tag ID.

meta object required
created_at string

Timestamp when the object was created (ISO 8601).

created_by string

User profile ID of the user who created the object.

managed boolean

When true, the object is managed by Kibana and cannot be edited by users.

owner string

Identifier of the plugin or team that owns this object.

updated_at string

Timestamp when the object was last updated (ISO 8601).

updated_by string

User profile ID of the user who last updated the object.

version string

Internal version identifier for optimistic concurrency control.

400

invalid request

403

forbidden

409

conflict

Base URL
https://{kibana_url}